<!DOCTYPE html>
<html>
  <head>
    <!-- Mobile Responsive Meta Tag -->
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap Link -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
      integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l"
      crossorigin="anonymous"
    />

    <title>Bootstrap Introduction and Simple Styles</title>
  </head>
  <body class="text-center bg-secondary pt-5 pb-5">
    <!-- Header -->
    <div class="text-center">
      <h1>Bootstrap Introduction and Simple Styles</h1>

      <div class="d-none d-lg-inline-block w-25 mt-4">
        <img
          src="https://www.drupal.org/files/project-images/bootstrap-stack.png"
          class="rounded-circle bg-white img-fluid"
        />
      </div>
    </div>
    <!-- End of Header -->

    <div class="fixed-top p-2 bg-primary text-light text-center align-middle">
      Fixed top - navbar
    </div>

    <!-- Bootstrap Utility Classes -->
    <div class="container-fluid">
      <!-- Bootstrap Color Classes Table -->
      <h2>Bootstrap Color Classes</h2>

      <table class="table table-dark table-bordered">
        <thead>
          <tr>
            <th>Text</th>
            <th>Background</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>
              <a href="#" class="text-primary"> Primary link </a>
            </td>
            <td class="bg-primary text-white">Primary</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-secondary"> Secondary link </a>
            </td>
            <td class="bg-secondary text-white">Secondary</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-success"> Success link </a>
            </td>
            <td class="bg-success text-white">Success</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-danger"> Danger link </a>
            </td>
            <td class="bg-danger text-white">Danger</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-warning"> Warning link </a>
            </td>
            <td class="bg-warning text-white">Warning</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-info"> Info link </a>
            </td>
            <td class="bg-info text-white">Info</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-light"> Light link </a>
            </td>
            <td class="bg-light text-dark">Light</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-dark"> Dark link </a>
            </td>
            <td class="bg-dark text-white">Dark</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-muted"> Muted link </a>
            </td>
            <td class="bg-transparent text-white">Transparent</td>
          </tr>
          <tr>
            <td>
              <a href="#" class="text-white"> White link </a>
            </td>
            <td class="bg-white text-dark">White</td>
          </tr>
        </tbody>
      </table>
      <!-- End of Bootstrap Color Classes Table -->

      <!-- Bootstrap Text Alignment Classes Table -->
      <h2>Bootstrap Text Classes</h2>

      <table class="table table-dark text-light table-bordered">
        <thead>
          <tr>
            <th>Alignment</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td class="text-left">Left</td>
          </tr>
          <tr>
            <td class="text-center">Center</td>
          </tr>
          <tr>
            <td class="text-right">Right</td>
          </tr>
          <tr>
            <!-- For extra small screens or small mobile phones, we can avoid using breakpoints -->
            <!-- All mobile views in Google Chrome browser are considered small screen sizes -->
            <!-- Screen size is greater than or equal to 576px -->
            <!-- Larger mobile phones -->
            <td class="text-sm-center">Small Center</td>
          </tr>
          <tr>
            <!-- Screen size is greater than or equal to 786px -->
            <!-- Tablets -->
            <td class="text-right text-md-left">Others Right/Medium Left</td>
          </tr>
          <tr>
            <!-- Screen size is greater than or equal to 992px -->
            <!-- Desktop -->
            <td class="text-lg-right">Large Right</td>
          </tr>
          <tr>
            <!-- Screen size is greater than or equal to 1200px -->
            <!-- TV and other large screens -->
            <td class="text-xl-center">Extra Large Center</td>
          </tr>
        </tbody>
      </table>
      <!-- End of Bootstrap Text Alignment Classes Table -->

      <!-- Bootstrap Text Transform Table -->
      <h2>Bootstrap Text Transform</h2>

      <table class="table table-dark text-light table-bordered">
        <thead>
          <tr>
            <th>Alignment</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td class="text-lowercase font-weight-bold">
              LowerCased Bold Text
            </td>
          </tr>
          <tr>
            <td class="text-uppercase font-weight-normal">
              UpperCased Normal Text
            </td>
          </tr>
          <tr>
            <td class="text-capitalize font-weight-light">
              Capitalized Light Text
            </td>
          </tr>
          <tr>
            <td class="text-decoration-none font-italic">
              <a href="#">Non Underlined Italic Link</a>
            </td>
          </tr>
        </tbody>
      </table>
      <!-- End of Bootstrap Text Transform Table-->
    </div>
    <!-- End of Bootstrap Utility Classes -->

    <!-- Bootstrap Border and sizing Classes -->

    <div class="container-fluid">
      <h1>Bootstrap Border and Styling Classes</h1>
      <table class="table table-dark text-light table-bordered">
        <thead>
          <tr>
            <th>Border</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>
              <span
                class="d-block w-100 border rounded rounded-3 border-info bg-info"
              >
                Rounded
              </span>
            </td>
          </tr>
          <td>
            <span
              class="d-block w-100 border rounded-circle border-secondary bg-secondary"
            >
              Rounded-circle
            </span>
          </td>
          <tr>
            <td>
              <span
                class="d-block w-100 border rounded-pill border-warning bg-warning"
              >
                Rounded-pill
              </span>
            </td>
          </tr>
        </tbody>
      </table>
    </div>

    <div
      class="fixed-bottom p-2 bg-primary text-light text-center align-middle"
    >
      Fixed bottom - footer
    </div>

    <!-- <tfoot>
      <tr>
        <td class="fixed-bottom">Fixed bottom - footer</td>
      </tr>
    </tfoot> -->

    <!-- Bootstrap Script -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF"
      crossorigin="anonymous"
    ></script>
    <!-- End of Bootstrap Script -->
  </body>
</html>
